export interface BaseProcessInfoVO {
  /**
   * 主键标识
   */
  processId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 工序编号
   */
  processCode: string;

  /**
   * 工序名称
   */
  processName: string;

  /**
   * 工序类别（1生产工序 2质检工序）
   */
  processType: string;

  /**
   * 工序顺序
   */
  processQueue: number;

  /**
   * 单位生产时间（秒）;页面显示小时和分钟，就是标准工时，完成一个产品的制造所需的时间
   */
  productionTime: number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

  prodBaseProcessProdlineVoList?: ProdBaseProcessProdLine[];
  prodBaseProcessUserVoList?: ProdBaseProcessUser[];
  prodBaseProcessProdlineBoList?: ProdBaseProcessProdLine[];
  prodBaseProcessUserBoList?: ProdBaseProcessUser[];

}

export interface BaseProcessInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  processId?: string | number;

  /**
   * 工序编号
   */
  processCode?: string;

  /**
   * 工序名称
   */
  processName?: string;

  /**
   * 工序类别（1生产工序 2质检工序）
   */
  processType?: string;

  /**
   * 工序顺序
   */
  processQueue?: number;

  /**
   * 单位生产时间（秒）;页面显示小时和分钟，就是标准工时，完成一个产品的制造所需的时间
   */
  productionTime?: number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

  /**
   * 备注
   */
  remark?: string;

  productionTimeDays?: number;
  productionTimeHours?: number;
  productionTimeMinutes?: number;


  prodBaseProcessProdlineVoList?: ProdBaseProcessProdLine[];
  prodBaseProcessUserVoList?: ProdBaseProcessUser[];
  prodBaseProcessProdlineBoList?: ProdBaseProcessProdLine[];
  prodBaseProcessUserBoList?: ProdBaseProcessUser[];
}

export interface BaseProcessInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  processId?: string | number;

  /**
   * 工序编号
   */
  processCode?: string;

  /**
   * 工序名称
   */
  processName?: string;

  /**
   * 工序类别（1生产工序 2质检工序）
   */
  processType?: string;

  /**
   * 工序顺序
   */
  processQueue?: number;

  /**
   * 单位生产时间（秒）;页面显示小时和分钟，就是标准工时，完成一个产品的制造所需的时间
   */
  productionTime?: number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;

  prodBaseProcessProdlineV0List?: ProdBaseProcessProdLine[];
  prodBaseProcessUserV0List?: ProdBaseProcessUser[];
  prodBaseProcessProdlineBoList?: ProdBaseProcessProdLine[];
  prodBaseProcessUserBoList?: ProdBaseProcessUser[];
}

export interface ProdBaseProcessProdLine {
  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 所属产线ID
   */
  prodLineId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

}




export interface ProdBaseProcessUser {
  /**
   * 工序ID
   */
  processId: string | number;

  /**
   * 用户ID
   */
  userId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 用户名称
   */
  userName: string;

  /**
   * 创建人
   */
  createBy: string;

  /**
   * 创建时间
   */
  createTime: string;

}







