export interface BaseSupplierInfoVO {
  /**
   * 主键标识
   */
  supplierId: string | number;

  /**
   * 租户编号
   */
  tenantId: string | number;

  /**
   * 供应商编号
   */
  supplierCode: string;

  /**
   * 供应商名称
   */
  supplierName: string;

  /**
   * erp的主键
   */
  erpId: string | number;

  /**
   * 激活状态（1启用 0停用）
   */
  supplierStatus: string;

  /**
   * 审核日期
   */
  auditDate: string;

  /**
   * erp最后更新时间
   */
  erpModifyDate: string;

  /**
   * 备注
   */
  remark: string;

  /**
   * 创建部门
   */
  createDept: number;

  /**
   * 创建人
   */
  createBy: number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 更新人
   */
  updateBy: number;

  /**
   * 更新时间
   */
  updateTime: string;

}

export interface BaseSupplierInfoForm extends BaseEntity {
  /**
   * 主键标识
   */
  supplierId?: string | number;

  /**
   * 供应商编号
   */
  supplierCode?: string;

  /**
   * 供应商名称
   */
  supplierName?: string;

  /**
   * erp的主键
   */
  erpId?: string | number;

  /**
   * 激活状态（1启用 0停用）
   */
  supplierStatus?: string;

  /**
   * 审核日期
   */
  auditDate?: string;

  /**
   * erp最后更新时间
   */
  erpModifyDate?: string;

  /**
   * 备注
   */
  remark?: string;

}

export interface BaseSupplierInfoQuery extends PageQuery {

  /**
   * 主键标识
   */
  supplierId?: string | number;

  /**
   * 供应商编号
   */
  supplierCode?: string;

  /**
   * 供应商名称
   */
  supplierName?: string;

  /**
   * erp的主键
   */
  erpId?: string | number;

  /**
   * 激活状态（1启用 0停用）
   */
  supplierStatus?: string;

  /**
   * 审核日期
   */
  auditDate?: string;

  /**
   * erp最后更新时间
   */
  erpModifyDate?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



