export interface MasterDataDetailVO {
  /**
   * 主键标识
   */
  masterDataDetailId: string | number;

  /**
   * 主数据ID
   */
  masterDataId: string | number;

  /**
   * 父级标识
   */
  parentId: string | number;

  /**
   * 祖级列表
   */
  ancestors: string;

  /**
   * 主数据明细编号
   */
  dataDetailCode: string;

  /**
   * 主数据明细名称
   */
  dataDetailName: string;

  /**
   * 预留字段1数据
   */
  fieldData1: string;

  /**
   * 预留字段2数据
   */
  fieldData2: string;

  /**
   * 预留字段3数据
   */
  fieldData3: string;

  /**
   * 预留字段4数据
   */
  fieldData4: string;

  /**
   * 预留字段5数据
   */
  fieldData5: string;

  /**
   * 显示排序
   */
  displaySort: number;

  /**
   * 备注
   */
  remark: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag: string;

}

export interface MasterDataDetailForm extends BaseEntity {
  /**
   * 主键标识
   */
  masterDataDetailId?: string | number;

  /**
   * 主数据ID
   */
  masterDataId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 主数据明细编号
   */
  dataDetailCode?: string;

  /**
   * 主数据明细名称
   */
  dataDetailName?: string;

  /**
   * 预留字段1数据
   */
  fieldData1?: string;

  /**
   * 预留字段2数据
   */
  fieldData2?: string;

  /**
   * 预留字段3数据
   */
  fieldData3?: string;

  /**
   * 预留字段4数据
   */
  fieldData4?: string;

  /**
   * 预留字段5数据
   */
  fieldData5?: string;

  /**
   * 显示排序
   */
  displaySort?: number;

  /**
   * 备注
   */
  remark?: string;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

}

export interface MasterDataDetailQuery extends PageQuery {

  /**
   * 主键标识
   */
  masterDataDetailId?: string | number;

  /**
   * 主数据ID
   */
  masterDataId?: string | number;

  /**
   * 父级标识
   */
  parentId?: string | number;

  /**
   * 祖级列表
   */
  ancestors?: string;

  /**
   * 主数据明细编号
   */
  dataDetailCode?: string;

  /**
   * 主数据明细名称
   */
  dataDetailName?: string;

  /**
   * 预留字段1数据
   */
  fieldData1?: string;

  /**
   * 预留字段2数据
   */
  fieldData2?: string;

  /**
   * 预留字段3数据
   */
  fieldData3?: string;

  /**
   * 预留字段4数据
   */
  fieldData4?: string;

  /**
   * 预留字段5数据
   */
  fieldData5?: string;

  /**
   * 显示排序
   */
  displaySort?: number;

  /**
   * 激活标识(1是 0否)
   */
  activeFlag?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



