export interface PsmInStockVO {
  /**
   * 表主键
   */
  inStockId: string | number;

  /**
   * 入库班组
   */
  inClass: string;

  /**
   * 入库班次
   */
  inShift: string;

  /**
   * 入库数量
   */
  inAmount: number;

  /**
   * 仓库名称
   */
  storeName: string;

  /**
   * 库位条码
   */
  storePlaceCode: string;

  /**
   * 工装条码
   */
  toolingBarcode: string;

  /**
   * 物料ID
   */
  materialId: string | number;

  /**
   * 轮胎规格
   */
  materialSpe: string;

  /**
   * 品级编号
   */
  checkGradeCode: string;

}

export interface PsmInStockForm extends BaseEntity {
  /**
   * 表主键
   */
  inStockId?: string | number;

  /**
   * 入库班组
   */
  inClass?: string;

  /**
   * 入库班次
   */
  inShift?: string;

  /**
   * 入库数量
   */
  inAmount?: number;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 库位条码
   */
  storePlaceCode?: string;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

}

export interface PsmInStockQuery extends PageQuery {

  /**
   * 表主键
   */
  inStockId?: string | number;

  /**
   * 入库班组
   */
  inClass?: string;

  /**
   * 入库班次
   */
  inShift?: string;

  /**
   * 入库数量
   */
  inAmount?: number;

  /**
   * 仓库名称
   */
  storeName?: string;

  /**
   * 库位条码
   */
  storePlaceCode?: string;

  /**
   * 工装条码
   */
  toolingBarcode?: string;

  /**
   * 物料ID
   */
  materialId?: string | number;

  /**
   * 轮胎规格
   */
  materialSpe?: string;

  /**
   * 品级编号
   */
  checkGradeCode?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



