export interface WmsPurchaseOrderDetailVO {
  /**
   * 采购物料表主键
   */
  poDId: string | number;

  /**
   * 创建时间
   */
  createTime: string;

  /**
   * 物料编码
   */
  materialCode: string;

  /**
   * 物料名称
   */
  materialName: string;

  /**
   * 采购订单编号
   */
  poNo: string;

  /**
   * 含税单价
   */
  taxPrice: number;

  /**
   * 采购数量
   */
  purchaseQty: number;

  /**
   * 物料规格
   */
  materialSpe: string;

  /**
   * 计量单位名称
   */
  unitName: string;

  /**
   * 送货数量=送货单数量=总入库数量
   */
  deliveryQty: number;

  /**
   * 租户号
   */
  tenantId: string | number;

}

export interface WmsPurchaseOrderDetailForm extends BaseEntity {
  /**
   * 采购物料表主键
   */
  poDId?: string | number;

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 采购订单编号
   */
  poNo?: string;

  /**
   * 含税单价
   */
  taxPrice?: number;

  /**
   * 采购数量
   */
  purchaseQty?: number;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 送货数量=送货单数量=总入库数量
   */
  deliveryQty?: number;

}

export interface WmsPurchaseOrderDetailQuery extends PageQuery {

  /**
   * 物料编码
   */
  materialCode?: string;

  /**
   * 物料名称
   */
  materialName?: string;

  /**
   * 采购订单编号
   */
  poNo?: string;

  /**
   * 含税单价
   */
  taxPrice?: number;

  /**
   * 采购数量
   */
  purchaseQty?: number;

  /**
   * 物料规格
   */
  materialSpe?: string;

  /**
   * 计量单位名称
   */
  unitName?: string;

  /**
   * 送货数量=送货单数量=总入库数量
   */
  deliveryQty?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



